%define ver_major 2.4

Name: gnome-mime-data
Version: %ver_major.0
Release: alt1

Summary: MIME-Type and Application database for GNOME
License: LGPL
Group: System/Libraries
Url: http://www.gnome.org/

BuildArch: noarch

Source: %name-%version.tar.bz2
Source1: %name-applications
Source2: %name-keys

Requires: menu >= 2.1.5-ipl80mdk

%description
This module contains the base MIME and Application database for GNOME.
It is meant to be accessed through the MIME functions in GnomeVFS.

%prep
%setup -q

%build
%configure

%make_build

%install
%makeinstall

%__mkdir_p  %buildroot%_sysconfdir/menu-methods
%__cp %SOURCE1  %buildroot%_sysconfdir/menu-methods/%name-applications
%__cp %SOURCE2  %buildroot%_sysconfdir/menu-methods/%name-keys
%__chmod a+x %buildroot%_sysconfdir/menu-methods/*

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_libdir/pkgconfig/*
%_datadir/application-registry/*
%_datadir/mime-info/*.keys
%_datadir/mime-info/*.mime
%config(noreplace) %_sysconfdir/gnome-vfs-mime-magic
%config(noreplace) %_sysconfdir/menu-methods/*
%doc %_mandir/man?/*
%doc AUTHORS ChangeLog README

%changelog
* Wed Sep 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Sat Aug 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Sun Mar 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Dec 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt2
- made gnome2 menus in utf-8, we need it for correct work of Gnome2 in
  ru_RU.CP1251 locale. Thank to inger.

* Sun Sep 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1
- cleanups

* Wed Jun 12 2002 Igor Androsov <blake@altlinux.ru> 2.0.0-alt1
- New version

* Fri May 31 2002 Igor Androsov <blake@altlinux.ru> 1.0.8-alt1
- New version.
- Add noarch option.

* Tue Jan 22 2002 AEN <aen@logic.ru> 1.0.1-alt1
- built for Sisyphus

* Mon Jan 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Move menu methods from gnome-vfs to gnome-mime-data (Thank to Abel)

* Mon Jan 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Initial Mdk package

* Sun Oct 21 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- some messing around with Requires: and BuildRequires
- cleaned up %files quite a bit (still not quite as good as it could be)
- removed a bunch of unnecessary %defines
